# DWAgent Command Line Interface

* -versionComment
* -ivpComment
* -startComment
* -stopComment
* -status \[statusPort]Comment
* -statsComment
* -trace levelComment
* -usrdump \[task ]Comment
* -helpComment
* -refreshCfgComment

Comment

| Option   | Parameter     | Description                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| -------- | ------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| -version | ​             | Displays version details.                                                                                                                                                                                                                                                                                                                                                                                                                          |
| -ivp     | ​             | Performs IVP on the current configuration. **DWAgent must not be already started** when performing IVP.                                                                                                                                                                                                                                                                                                                                            |
| -start   | ​             | Starts DWAgent.                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| -stop    | ​             | Stops DWAgent.                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| -status  | \[statusPort] | Checks whether DWAgent is active. If several instances of DWAgent are present, a port can specified to address a specific instance see also **DWAgent.udpPort** attribute in **DWAgent.properties**.                                                                                                                                                                                                                                               |
| -stats   | ​             | Prints DWAgent statistics to the console                                                                                                                                                                                                                                                                                                                                                                                                           |
| -usrdump | \[task ]      | Creates a *user dump* on a file. If the optional parameters task is specified, every *intervalSecs* and for *iterationNumber* times a new user dump file will be created User dump files are stored in the DWAgent log directory and comply with this naming convention: **DWAgent.dump.usr.uniqueSuffix.log**. User dumps contain detailed application, JVM and system state information that might be useful for problem determination purposes. |
| -trace   | level         | Set trace level to a new value without having to stop and start any runtime component. Possible values are: no\|default\|verbose\|all                                                                                                                                                                                                                                                                                                              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.primeur.com/dwagent-2.1.0/system-administration/dwagent-command-line-interface.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
